Subject: bug#10345: 24.0.92; `save-buffer' and `basic-save-buffer': add MSG arg

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Apr 2016 13:48:18 +0200

"Drew Adams" <[email-masked]> writes:

> Please make it possible to call this function without it displaying a
> message.  E.g., add an optional MSG argument that is always non-nil
> interactively.
>
> One motivation:
>
> An Emacs function might do a series of things, including calling
> `save-buffer'.  Sometimes the whole series could take a while, and a
> caller of the function might want to give a specific progress message:
> "Foo-barring..." and end with "Foo-barring...done".  When the series of
> operations includes `save-buffer' this messaging is interrupted, and the
> user sees a message from `save-buffer', with no `...' to indicate that
> the overall operation (series) is not finished.
>
> In sum, since this function is sometimes called from Lisp, it makes
> little sense for it to systematically display a message.  A caller
> should be able to control the messaging behavior.
>
> Same thing applies for `basic-save-buffer'.  These functions are called
> from Lisp.  They deserve optional MSG args to control message display.
> (Obviously, this applies only to the use of `message', not also to
> reading input or raising errors.)

If you wish to save buffers without messaging, you use `write-region' or
the like.  `save-buffers' is a very user level function.  Closing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no